


TEXTEDIT(1)                                           TEXTEDIT(1)


NNAAMMEE
       textedit - XView window- and mouse-based text editor

SSYYNNOOPPSSIISS
       tteexxtteeddiitt  [  _g_e_n_e_r_i_c_-_t_o_o_l_-_a_r_g_u_m_e_n_t_s  ]  [ --EEaa oonn || ooffff ] [
       --aaddjjuusstt__iiss__ppeennddiinngg__ddeelleettee  ]  [  --EEii  oonn   ||   ooffff   ]   [
       --aauuttoo__iinnddeenntt  ]  [ --EEoo oonn || ooffff ] [ --ookkaayy__ttoo__oovveerrwwrriittee ] [
       --EErr oonn || ooffff ] [ --rreeaadd__oonnllyy ] [  --EEcc  _N  ]  [  --cchheecckkppooiinntt
       _c_o_u_n_t  ] [ --EELL _l_i_n_e_s ] [ --lloowweerr__ccoonntteexxtt _l_i_n_e_s ] [ --EEmm _p_i_x_-
       _e_l_s ] [ --mmaarrggiinn _p_i_x_e_l_s ] [  --EEnn  _N  ]  [  --nnuummbbeerr__ooff__lliinneess
       _l_i_n_e_s  ] [ --EESS _N ] [ --mmuullttii__cclliicckk__ssppaaccee _r_a_d_i_u_s ] [ --EEtt _N ]
       [ --ttaabb__wwiiddtthh _t_a_b_s_t_o_p ] [ --EETT _N  ]  [  --mmuullttii__cclliicckk__ttiimmeeoouutt
       _i_n_t_r_v_l  ]  [  --EEuu  _N  ] [ --hhiissttoorryy__lliimmiitt _m_a_x ] [ --EEUU _N ] [
       --uuppppeerr__ccoonntteexxtt _l_i_n_e_s ] _f_i_l_e_n_a_m_e

AAVVAAIILLAABBIILLIITTYY
       This command is available with  the  OpenWindows  environ-
       ment.  For information about installing OpenWindows, refer
       to the _O_p_e_n_W_i_n_d_o_w_s _I_n_s_t_a_l_l_a_t_i_o_n _a_n_d _S_t_a_r_t_-_U_p _G_u_i_d_e_.

DDEESSCCRRIIPPTTIIOONN
       tteexxtteeddiitt is a window-based XView application that provides
       both  mouse  and pointer operations and keyboard accelera-
       tors for the editing of text.  In  general,  text  editing
       throughout  the OpenWindows user environment uses tteexxtteeddiitt
       conventions, both in text display areas such as mail  mes-
       sage windows and command panel text fields.

       tteexxtteeddiitt  operates  via a set of command panel buttons and
       text fields and a set of  menus  and  submenus  accessible
       from the main editing window.

OOPPTTIIOONNSS
       _g_e_n_e_r_i_c_-_t_o_o_l_-_a_r_g_u_m_e_n_t_s
              tteexxtteeddiitt  accepts  the XView generic tool arguments
              described in the _X_V_i_e_w _R_e_f_e_r_e_n_c_e _M_a_n_u_a_l_.


       --EEaa oonn|ooffff
       --aaddjjuusstt__iiss__ppeennddiinngg__ddeelleettee
              Choose whether or not an adjustment to a  selection
              makes  the selection "pending-delete."  The default
              is off.  This option corresponds to, and overrides,
              the aaddjjuusstt__iiss__ppeennddiinngg__ddeelleettee Text defaults entry.

       --EEii oonn|ooffff
       --aauuttoo__iinnddeenntt
              Choose  whether  or  not  to  automatically  indent
              newly-opened lines.  The default  is  off.   Corre-
              sponds to the aauuttoo__iinnddeenntt Text default.

       --EEoo oonn|ooffff
       --ookkaayy__ttoo__oovveerrwwrriittee
              Set  behavior  to  the SSttoorree aass NNeeww FFiillee menu item.



                           11 June 1990                         1





TEXTEDIT(1)                                           TEXTEDIT(1)


              If oonn a SSttoorree aass NNeeww FFiillee to the  current  file  is
              treated  as a SSaavvee CCuurrrreenntt FFiillee.  If ooffff (the stan-
              dard default), SSttoorree aass NNeeww FFiillee  operations  using
              the  current  filename results in an error message.
              Corresponds to SSttoorree__sseellff__iiss__ssaavvee.

       --EErr oonn|ooffff
       --rreeaadd__oonnllyy
              Turn read-only mode on or off.  When on, text  can-
              not be modified.

       --EEcc _N
       --cchheecckkppooiinntt _c_o_u_n_t
              Checkpoint after every _c_o_u_n_t editing operation.  If
              _c_o_u_n_t is 0 (the standard default), no checkpointing
              takes place.  Each character typed, each PPaassttee, and
              each CCuutt counts as an  editing  operation.   Corre-
              sponds to cchheecckkppooiinntt__ffrreeqquueennccyy.

       --EELL _l_i_n_e_s
       --lloowweerr__ccoonntteexxtt_l_i_n_e_s
              Specify the minimum number of lines to keep between
              the caret and the bottom  of  the  text  subwindow.
              The default is 2.  Corresponds to lloowweerr__ccoonntteexxtt.

       --EEmm _p_i_x_e_l_s
       --mmaarrggiinn _p_i_x_e_l_s
              Set  the  scrollbar  margin  width  in pixels.  The
              default is 4.  Corresponds to lleefftt__mmaarrggiinn.

       --EEnn _N
       --nnuummbbeerr__ooff__lliinneess _l_i_n_e_s
              Set the number of lines in  the  bottom  subwindow.
              The default is 45.

       --EESS _N
       --mmuullttii__cclliicckk__ssppaaccee _r_a_d_i_u_s
              Set  the radius in pixels, within which clicks must
              occur to be treated  as  a  multi-click  selection.
              The   default   is   3   pixels.    Corresponds  to
              mmuullttii__cclliicckk__ssppaaccee.

       --EEtt _N
       --ttaabb__wwiiddtthh _t_a_b_s_t_o_p
              Set the number of SPACE  characters  displayed  per
              TAB  stop.   The  default is 8.  This option has no
              effect on the characters in the file.   Corresponds
              to ttaabb__wwiiddtthh.

       --EETT _N
       --mmuullttii__cclliicckk__ttiimmeeoouutt _i_n_t_r_v_l
              Set the interval, in milliseconds, within which any
              two clicks must occur to be  treated  as  a  multi-
              click  selection.  The default is 390 milliseconds.



                           11 June 1990                         2





TEXTEDIT(1)                                           TEXTEDIT(1)


              Corresponds to mmuullttii__cclliicckk__ttiimmeeoouutt.

       --EEuu _N
       --hhiissttoorryy__lliimmiitt _m_a_x
              Set the maximum number of editing  operations  that
              can  be  undone  or  replayed.   The default is 50.
              Corresponds to hhiissttoorryy__lliimmiitt.

       --EEUU  NN
       --uuppppeerr__ccoonntteexxtt _l_i_n_e_s
              Set the minimum number of lines to keep between the
              caret  and  the  top  of  the  text subwindow.  The
              default is 2.  Corresponds to uuppppeerr__ccoonntteexxtt.

UUSSAAGGEE
       tteexxtteeddiitt is part of the OpenWindows user environment.  For
       a  descriptions  of the basic concepts of OpenWindows, see
       the _O_p_e_n_W_i_n_d_o_w_s _U_s_e_r_'_s _G_u_i_d_e_.

   SSiiggnnaall PPrroocceessssiinngg
       If tteexxtteeddiitt hangs, for whatever reason,  you  can  send  a
       SSIIGGHHUUPP........ss00  signal to its process ID, which forces it to
       write any changes (if possible):

              kkiillll --HHUUPP _p_i_d

       The edits are written to  the  file  tteexxtteeddiitt.._p_i_d  in  its
       working  directory.   If that fails, tteexxtteeddiitt successively
       tries to write to a file by that  name  in  //vvaarr//ttmmpp,  and
       then //ttmmpp.  In addition, whenever tteexxtteeddiitt catches a fatal
       signal, such as SSIIGGIILLLL, it tries to write  out  the  edits
       before aborting.

   DDeeffaauullttss OOppttiioonnss
       You  can specify a number of defaults using the ..XXddeeffaauullttss
       file that affect the behavior of  the  text-based  facili-
       ties.  See xxvviieeww(1) for more detailed information.

   SSeelleeccttiioonnss
       Selections in tteexxtteeddiitt are defined as selected portions of
       text to which editing  operations  can  be  applied.   For
       example, a selection can be _d_e_l_e_t_e_d_, _m_o_v_e_d_, _c_o_p_i_e_d_, _e_t_c_.

       tteexxtteeddiitt  provides  two  types  of selections: primary and
       secondary.  Primary selections allow you to select  a  set
       of  text  on  which  to perform an editing function.  Sec-
       ondary selections allow you to define a  _s_e_c_o_n_d  block  of
       text  without  undefining  your  primary text selection or
       repositioning your cursor.  Being able to define two  sets
       of  text  at  once  allows  you  to  take advantage of the
       advanced editing functions described below in the  section
       called FFuunnccttiioonn KKeeyyss..





                           11 June 1990                         3





TEXTEDIT(1)                                           TEXTEDIT(1)


       UUssiinngg aa MMoouussee aanndd PPooiinntteerr::
                 Single  characters  can  be  selected  using the
                 SELECT.
                 Blocks of text can be selected  by  selecting  a
                 starting  point with the SELECT and selecting an
                 ending point with ADJUST.
                 Or blocks of text can  be  selected  using  OPEN
                 LOOK's  _w_i_p_e  _t_h_r_o_u_g_h  feature  by pointing at a
                 beginning character and  depressing  the  sseelleecctt
                 button  while moving the pointer to the end of a
                 block of text.
                 Selections can also be  made  by  sing  _c_l_i_c_k_i_n_g
                 (rapidly pressing) the select button. Click once
                 to select a single letter; click twice to select
                 a  word;  click three times to select a complete
                 line of text; click four  times  to  select  the
                 entire document being edited.

       VViissuuaall FFeeeeddbbaacckk
                 All primary selections are indicated visually by
                 inverse video of the text selected and are _p_e_n_d_-
                 _i_n_g   _d_e_l_e_t_e_.   Pending  delete  selections  are
                 replaced if you type or paste while the text  is
                 selected.
                 Secondary selections that are not _p_e_n_d_i_n_g _d_e_l_e_t_e
                 are indicated by underlining of the text.
                 Secondary selections pending  delete  are  indi-
                 cated  by  underlining  of  the  text and strike
                 through of the individual characters.

   SSeeccoonnddaarryy SSeelleeccttiioonnss
              Secondary selections are  made  using  any  of  the
              selection  methods  described  above in addition to
              holding down one of the four function  keys  corre-
              sponding to the commands CCuutt, FFiinndd, PPaassttee, or CCooppyy.

              Secondary selections are  made  pending  delete  by
              holding  the  CTRL  key  when  making the secondary
              selection.  If a secondary  selection  is  pending-
              delete,  it  is  deleted  when  the function key is
              released, except in the case  of  the  FFiinndd,  which
              deselects the secondary selection.

              You can make adjusted selections switch to pending-
              delete using the aaddjjuusstt__iiss__ppeennddiinngg__ddeelleettee  defaults
              entry,  or  the  --EEaa  option.   In this case, CTRL-
              Middle makes the selection _n_o_t pending-delete.

              Commands that operate on the primary  selection  do
              so even if the primary selection is not in the win-
              dow that issued the command.

   IInnsseerrttiinngg TTeexxtt aanndd CCoommmmaanndd CChhaarraacctteerrss
       For the most part, typing any of the standard keys  either



                           11 June 1990                         4





TEXTEDIT(1)                                           TEXTEDIT(1)


       inserts  the  corresponding  character  at  the  insertion
       point, or erases characters.  However, certain key  combi-
       nations  are treated as commands.  Some of the most useful
       are:

       CCoommmmaanndd             CChhaarraacctteerr           DDeessccrriippttiioonn

       CCuutt--PPrriimmaarryy         META-X              Erases, and moves to the Clipboard, the primary selection.
       FFiinndd--PPrriimmaarryy        META-F              Searches the text for the pattern specified by the primary
                                               selection or by the Clipboard, if there is no primary selection.
       CCooppyy--ttoo--CClliippbbooaarrdd   META-C              Copies the primary selection to the Clipboard.
       PPaassttee--CClliippbbooaarrdd     META-V              Inserts the Clipboard contents at the insertion point.
       CCooppyy--tthheenn--PPaassttee     META-P              Copies the primary selection to the insertion point (through
                                               the Clipboard).
       GGoo--ttoo--EEOOFF           CTRL-RETURN         Moves the insertion point to the end of the text, positioning
                                               the text so that the insertion point is visible.

   FFuunnccttiioonn KKeeyyss
       The commands indicated by use of the function keys are:

       CCoommmmaanndd             SSuunn--22||33 KKeeyy         DDeessccrriippttiioonn

       SSttoopp                L1                  Aborts the current command.
       AAggaaiinn               L2                  Repeats the previous editing sequence since a
                                               primary selection was made.
       UUnnddoo                L4                  Undoes a prior editing sequence.
       FFrroonntt               L5                  Makes the window completely visible (or
                                               hides it, if it is already exposed).
       CCooppyy                L6                  Copies the primary selection, either to the
                                               Clipboard or at the closest end of the secondary
                                               selection.
       OOppeenn                L7                  Makes the window iconic (or normal, if it is already
                                               iconic).
       PPaassttee               L8                  Copies either the secondary selection or the Clipboard at
                                               the insertion point.
       FFiinndd                L9                  Searches for the pattern specified by, in order, the
                                               secondary selection, the primary selection, or the Clipboard.
       CCuutt                 L10                 Erases, and moves to the Clipboard, either the primary or
                                               the secondary selection.
       HHeellpp                F1                  Produces help text.

       FFiinndd usually searches the text forwards, towards the  end.
       Holding  down  the  SHIFT key while invoking FFiinndd searches
       backward through the text, towards the beginning.  If  the
       pattern  is  not found before the search encounters either
       extreme, it "wraps around" and continues  from  the  other
       extreme.  FFiinndd starts the search at the appropriate end of
       the primary selection, if the primary selection is in  the
       subwindow  that the search is made in; otherwise it starts
       at the insertion point, unless  the  subwindow  cannot  be
       edited,  in  which  case it starts at the beginning of the
       text.

       CTRL-Find invokes the FFiinndd aanndd RReeppllaaccee pop-up frame.



                           11 June 1990                         5





TEXTEDIT(1)                                           TEXTEDIT(1)


   MMeennuu IItteemmss
       FFiillee      A pull-right menu item for file operations.

       EEddiitt      A pull-right menu item equivalent of the editing
                 function keys.  The EEddiitt submenu provides AAggaaiinn,
                 UUnnddoo, CCooppyy, PPaassttee, and  CCuutt  (same  as  function
                 keys L2, L4, L6, L8, and L10).

       DDiissppllaayy   A  pull-right  menu item for controlling the way
                 text is displayed and line display format.

       FFiinndd      A pull-right menu item for  find  and  delimiter
                 matching operations.

       EExxttrraass    A  user  definable  pull-right  menu  item.  The
                 EExxttrraass  standard  submenu   is   controlled   by
                 //uussrr//lliibb//..tteexxtt__eexxttrraass__mmeennuu,  which  has the same
                 format as ..rroooottmmeennuu file.  This can be  overrid-
                 den in two ways:
                      1)  Change  the  value  of  the  .Xdefaults
                      parameter  tteexxtt..eexxttrraassMMeennuuFFiilleennaammee  to  the
                      correct file path.
                      2)  Set the environment variable EEXXTTRRAASSMMEENNUU
                      to the file desired.
                      Note that option 1 overrides  option  2  if
                      both are used.
                      For  more information see the _D_e_s_k_S_e_t _E_n_v_i_-
                      _r_o_n_m_e_n_t  _R_e_f_e_r_e_n_c_e  _G_u_i_d_e   _.    See   also
                      xxvviieeww(1).

Only  those  items  that  are active appear as normal text in the
menu; inactive items (which are inappropriate at  the  time)  are
"grayed out".
























                           11 June 1990                         6





TEXTEDIT(1)                                           TEXTEDIT(1)


   UUsseerr DDeeffiinneedd CCoommmmaannddss
       The  file  //uussrr//lliibb//tteexxtt__eexxttrraass__mmeennuu specifies filter pro-
       grams that are included in the text subwindow EExxttrraass pull-
       right  menu  item.   The file ~~//..tteexxttsswwrrcc specifies filter
       programs that are assigned to (available)  function  keys.
       These  filters  are applied to the contents of the primary
       selection.  Their output is entered at the caret.

       The file //uussrr//lliibb//tteexxttsswwrrcc is a sample containing a set of
       useful filters.  It is not read automatically.

FFIILLEESS
       ~~//..tteexxttsswwrrcc              Specifies  bindings of filters to
                                function keys
       //uussrr//lliibb//tteexxtt__eexxttrraass__mmeennuu
                                Specifies bindings of filters for
                                the extras menu pull-right items
       //uussrr//bbiinn                 Contains  useful filters, includ-
                                ing sshhiifftt__lliinneess and ccaappiittaalliizzee.
       _f_i_l_e_n_a_m_e%%                Prior  version  of  _f_i_l_e_n_a_m_e   is
                                available  here after a SSaavvee CCuurr--
                                rreenntt FFiillee menu operation
       tteexxtteeddiitt.._p_i_d             Edited version of _f_i_l_e_n_a_m_e;  gen-
                                erated   in   response  to  fatal
                                internal errors
       //ttmmpp//TTeexxtt**               Editing session logs

SSEEEE AALLSSOO
       kkiillll(1)

       _I_n_t_r_o_d_u_c_t_i_o_n _t_o _t_h_e _O_p_e_n_W_i_n_d_o_w_s _U_s_e_r _E_n_v_i_r_o_n_m_e_n_t

DDIIAAGGNNOOSSTTIICCSS
       CCaannnnoott ooppeenn ffiillee ''_f_i_l_e_n_a_m_e'',, aabboorrttiinngg!!
                                          _f_i_l_e_n_a_m_e does not exist
                                          or cannot be read.

       tteexxtteeddiitt produces the following exit status codes:

              0      normal termination
              1      standard   OpenWindows   help   message  was
                     printed
              2      help message was requested and printed
              3      abnormal termination in response to  a  sig-
                     nal, usually due to an internal error
              4      abnormal  termination during initialization,
                     usually due to a missing file or running out
                     of swap space

BBUUGGSS
       Multi-click  to change the current selection does not work
       for AAddjjuusstt SSeelleeccttiioonn.

       Handling of long lines is incorrect in  certain  scrolling



                           11 June 1990                         7





TEXTEDIT(1)                                           TEXTEDIT(1)


       situations.

       There  is no way to replay any editing sequence except the
       most recent.





















































                           11 June 1990                         8


